### Property

# Pos OskWidget:name

#### Declaration

    property name: utf8 [ read ]

#### Description [src]

The name of the current layout. The name is unique for this layout. For xkb based layouts it’s `xkb:lang:variant`, for special layouts like `terminal` just `terminal`. The widget should treat this as opaque value.

Type:`gchar*`

Default value | NULL
Getter method | `pos_osk_widget_get_name()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no